LibreOffice LibreOffice 25.2 SDK API Reference

Included Services | Exported Interfaces | List of all members
Driver Service Referencepublished

extends the service com::sun::star::sdbc::Driver by beans for data definition. More...

`import"Driver.idl";`

Inheritance diagram for Driver:

## Included Services
service | com::sun::star::sdbc::Driver

## Exported Interfaces
interface | XDataDefinitionSupplier
| used to get access to the catalog. More...
interface | XCreateCatalog
| is optional for implementation. More...
interface | XDropCatalog
| is optional for implementation. More...
Exported Interfaces inherited from Driver
interface | XDriver
| is the main interface to access a database driver. More...

## Additional Inherited Members
Public Member Functions inherited from XDriver
XConnection | connect ([in]string url, [in]sequence< com::sun::star::beans::PropertyValue > info) raises (SQLException)
| attempts to make a database connection to the given URL. More...
boolean | acceptsURL ([in]string url) raises (SQLException)
| returns `TRUE` if the driver thinks that it can open a connection to the given URL. More...
sequence< DriverPropertyInfo > | getPropertyInfo ([in]string url, [in] sequence< com::sun::star::beans::PropertyValue > info) raises (SQLException)
| gets information about the possible properties for this driver. More...
long | getMajorVersion ()
| gets the driver's major version number. More...
long | getMinorVersion ()
| gets the driver's minor version number. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XDataDefinitionSupplier
XTablesSupplier | getDataDefinitionByConnection ([in]com::sun::star::sdbc::XConnection connection) raises (com::sun::star::sdbc::SQLException)
| returns at least the container of tables related to the given connection. More...
XTablesSupplier | getDataDefinitionByURL ([in]string url, [in]sequence< com::sun::star::beans::PropertyValue > info) raises (com::sun::star::sdbc::SQLException)
| returns at least the container of tables related to the given Database URL. More...
Protected Member Functions inherited from XCreateCatalog
void | createCatalog ([in]sequence< com::sun::star::beans::PropertyValue > info) raises (com::sun::star::sdbc::SQLException, com::sun::star::container::ElementExistException)
| creates the catalog by using a sequence of property values. More...
Protected Member Functions inherited from XDropCatalog
void | dropCatalog ([in]string catalogName, [in]sequence< com::sun::star::beans::PropertyValue > info) raises (com::sun::star::sdbc::SQLException, com::sun::star::container::NoSuchElementException)
| drops a catalog identified by its name. More...

## Detailed Description

extends the service com::sun::star::sdbc::Driver by beans for data definition.

This service is optional for each driver. Its purpose is to define a common way for database definition, as the DDL differs between most DBMS.

Definition and deletion of database catalogs can't be defined in a common manner for DBMS, but it should be possible to hide much of the complexity of creation and deletion of catalogs. Each driver could provide methods to cover these tasks.

Developers Guide
  Database Access - Driver Specifics - Driver Specifics

## Exported Interfaces

## ◆ com::sun::star::sdbc::Driver

service com::sun::star::sdbc::Driver

## Exported Interfaces

## ◆ XCreateCatalog

interface XCreateCatalog
| optional

is optional for implementation.

## ◆ XDataDefinitionSupplier

interface XDataDefinitionSupplier

used to get access to the catalog.

See also
  Catalog

## ◆ XDropCatalog

interface XDropCatalog
| optional

is optional for implementation.

The documentation for this service was generated from the following file:

- com/sun/star/sdbcx/Driver.idl